[arch-commits] Commit in swig/repos/extra-x86_64 (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Thu Aug 22 16:34:20 UTC 2019


    Date: Thursday, August 22, 2019 @ 16:34:20
  Author: felixonmars
Revision: 360555

archrelease: copy trunk to extra-x86_64

Added:
  swig/repos/extra-x86_64/PKGBUILD
    (from rev 360554, swig/trunk/PKGBUILD)
Deleted:
  swig/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   66 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 33 insertions(+), 33 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-08-22 16:34:08 UTC (rev 360554)
+++ PKGBUILD	2019-08-22 16:34:20 UTC (rev 360555)
@@ -1,33 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
-# Contributor: Tom Newsom <Jeepster at gmx.co.uk>
-
-pkgname=swig
-pkgver=4.0.0
-pkgrel=2
-pkgdesc="Generate scripting interfaces to C/C++ code"
-arch=('x86_64')
-url="http://www.swig.org/"
-license=('custom')
-depends=('pcre' 'gcc-libs')
-checkdepends=('ruby' 'python2' 'java-environment' 'tcl' 'php' 'lua' 'ocaml' 'r' 'go' 'python2-cffi' 'camlp4')
-source=(https://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.gz)
-sha1sums=('2854fbcfea877111edf328adb96324ca37947097')
-
-build() {
-  cd ${pkgname}-${pkgver}
-  ./configure --prefix=/usr
-  make
-}
-
-check() {
-  cd ${pkgname}-${pkgver}
-  make check || warning "Tests failed"
-}
-
-package() {
-  cd ${pkgname}-${pkgver}
-  make DESTDIR="${pkgdir}" install
-  install -D -m644 LICENSE "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
-  install -D -m644 LICENSE-UNIVERSITIES "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE-UNIVERSITIES
-}

Copied: swig/repos/extra-x86_64/PKGBUILD (from rev 360554, swig/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-08-22 16:34:20 UTC (rev 360555)
@@ -0,0 +1,33 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Tom Newsom <Jeepster at gmx.co.uk>
+
+pkgname=swig
+pkgver=4.0.1
+pkgrel=1
+pkgdesc="Generate scripting interfaces to C/C++ code"
+arch=('x86_64')
+url="http://www.swig.org/"
+license=('custom')
+depends=('pcre' 'gcc-libs')
+checkdepends=('ruby' 'python2' 'java-environment' 'tcl' 'php' 'lua' 'ocaml' 'r' 'go' 'python2-cffi' 'camlp4')
+source=(https://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+sha1sums=('3915d3ab537c171d6d086a8e93bfc545cebf6172')
+
+build() {
+  cd ${pkgname}-${pkgver}
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd ${pkgname}-${pkgver}
+  make check || warning "Tests failed"
+}
+
+package() {
+  cd ${pkgname}-${pkgver}
+  make DESTDIR="${pkgdir}" install
+  install -D -m644 LICENSE "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
+  install -D -m644 LICENSE-UNIVERSITIES "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE-UNIVERSITIES
+}


More information about the arch-commits mailing list